:root {
  --base-grad: linear-gradient(
    25deg,
    #ee7752,
    #ff5e00,
    #e73c7e,
    #d90ead,
    #23a6d5,
    #70e0ec,
    #23d5ab,
    #00ff44
  );
  --inverted-grad: linear-gradient(
    25deg,
    #ff0000,
    #ff5100,
    #ff9500,
    #d90ead,
    #e73c7e,
    #ff5e00,
    #ee7752
  );
  --istanbul-grad: linear-gradient(
    25deg,
    #4aa3b3a6,
    #04bcff80,
    #008cff7e,
    #ffa200,
    #ffd900,
    #ffd5008d
  );
  --edinburgh-grad: linear-gradient(
    25deg,
    #005effe1,
    #005effe1,
    #00c8ff,
    #6dff50d1,
    #ffe600,
    #ff7300,
    #ff1302f1
  );
  --card-bg-bg: #07040e;
  --card-bg-border: rgba(82, 62, 155, 0.2);
  --card-cta-border: rgba(82, 62, 155, 0.5);
  --card-fg-border: rgba(82, 62, 155, 0.25);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  position: relative;
  height: 100vh;
  margin: 0;
  padding: 0;
  background: #fff;
}

#overlay {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60%;
  height: 100%;
  background: transparent;
  z-index: 9999; /* This should be higher than the z-index of any other element on the page */
  display: none;
}

/* Landing Section */

.landingHero {
  height: 100vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 25px;
  justify-content: space-between;
  margin-bottom: -400px;
}

.container {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 350px;
  height: 350px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--base-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  border-radius: 10000px;
  opacity: 0;
  transition: opacity 1.65s ease-in;
  z-index: 5;
}

.containerFirstRing {
  position: absolute;
  width: 400px;
  height: 400px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  border-radius: 7000px;
  z-index: 4;
}

.containerSecondRing {
  position: absolute;
  align-items: center; /* I added this to center the p tag. Remove this line if wheel breaks */
  justify-content: center;
  display: flex;
  width: 455px;
  height: 455px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--base-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  border-radius: 10000px;
  opacity: 0;
  transition: opacity 1.5s ease-in;
  z-index: 3;
}

.containerThirdRing {
  position: absolute;
  width: 755px;
  height: 755px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  border-radius: 10000px;
  z-index: 2;
}

.containerFourthRing {
  position: absolute;
  width: 780px;
  height: 780px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--base-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  border-radius: 10000px;
  opacity: 0;
  transition: opacity 1.7s ease-in;
  z-index: 1;
}

@keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/* Nav Section */

.leftNavSection {
  display: flex;
  flex-direction: row;
  width: 100vh;
  height: 100vh;
  align-items: center;
  background: transparent;
  padding-left: 30px;
}

.rightNavSection {
  display: flex;
  flex-direction: row;
  width: 36.5vh;
  height: 103vh;
  background: transparent;
  align-items: flex-start;
}

.sideNav {
  width: 75%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}

.sideNavItem {
  font-family: "Poppins", sans-serif;
  text-transform: uppercase;
  text-decoration: none;
  font-size: 45px;
  line-height: 140px;
  background: var(--base-grad);
  background-clip: text;
  color: transparent;
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  height: 140px;
  overflow: hidden;
  white-space: nowrap;
}

.sideNavItem:hover .letter,
.sideNavItem.play .letter {
  transform: translateY(-100%);
}

.sideNavItem .block:last-child {
  color: #000;
}

.sideNavItem .letter {
  display: inline-block;
  transition: transform 0.6s cubic-bezier(0.76, 0, 0.024, 1);
}

.letter:nth-child(1) {
  transition-delay: 0s;
}

.letter:nth-child(2) {
  transition-delay: 0.03s;
}

.letter:nth-child(3) {
  transition-delay: 0.06s;
}

.letter:nth-child(4) {
  transition-delay: 0.09s;
}

.letter:nth-child(5) {
  transition-delay: 0.12s;
}

.letter:nth-child(6) {
  transition-delay: 0.15s;
}

.letter:nth-child(7) {
  transition-delay: 0.18s;
}

.letter:nth-child(8) {
  transition-delay: 0.21s;
}

.letter:nth-child(9) {
  transition-delay: 0.24s;
}

.letter:nth-child(10) {
  transition-delay: 0.27s;
}

.letter:nth-child(11) {
  transition-delay: 0.3s;
}

/* Photo Wheel Functionality */

.gallery {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 350px;
  height: 350px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 6;
}

.containerText {
  color: #fff;
  font-family: "Poppins", sans-serif;
  text-transform: uppercase;
  text-decoration: none;
  font-size: 43px;
  text-align: center;
  padding: 0 40px;
  z-index: 0;
}

.photoWheelItem {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70px;
  height: 100px;
  background: #b0b0b0;
  transition: none;
}

.photoWheelItem:hover {
  cursor: pointer;
}

.photoWheelItem img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.photoBg {
  position: absolute;
  width: 465px; /* The photo's base dimensions are 455 by 650*/
  height: 660px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--base-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  opacity: 0;
  transition: opacity 0.2s ease-in;
  z-index: 5;
}

/* First Wave */

.waveSection {
  height: 113vh;
  width: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.firstWave {
  background-image: url(./images/upperWave.svg);
}

/* About Section */

.aboutBg {
  height: 90vh;
}

.aboutSection {
  display: flex;
  flex-direction: row;
  position: relative;
  height: 95vh;
  width: 100%;
  overflow-x: hidden;
  justify-content: center;
  padding: 100px 100px;
  background: linear-gradient(180deg, #e73c7e, #d90ead, #23a6d5, #70e0ec);
  background-size: 150% 150%;
}

.aboutSection .imageCol {
  flex-basis: 70%;
}

.aboutSection .textCol {
  flex-direction: column;
  display: flex;
  align-items: center;
  flex-basis: 100%;
}

.aboutSection .headshot {
  display: flex;
  flex-direction: row;
  max-width: 100%;
  border-radius: 10000px;
  border: 7px solid #fff;
}

.aboutSection .description {
  display: flex;
  flex-direction: row;
  padding-top: 30px;
  padding-left: 100px;
  font-size: 30px;
  font-weight: 1;
  font-family: "Poppins", sans-serif;
  color: #fff;
  text-align: center;
}

/* Second Wave */

.secondWave {
  margin-top: -330px;
  height: 100vh;
  background-image: url(./images/lowerWave.svg);
}

/* Projects Section */

.projectsSection {
  height: 190vh; /*Change height to vh amounts when multiple card rows are needed */
  width: 100%;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 3.5em;
  margin-top: -120px;
  margin-bottom: -700px;
}

.projectsHeader h1 {
  color: #000;
  font-family: "Poppins", sans-serif;
  font-size: 100px;
  font-weight: 200px;
  text-align: center;
  margin-top: -230px;
  margin-bottom: 70px;
  letter-spacing: 20px;
  background: var(--base-grad);
  background-clip: text;
  color: transparent;
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
}

.projectsDescription h2 {
  color: #000;
  font-family: "Poppins", sans-serif;
  font-size: 60px;
  text-align: center;
  margin-top: -80px;
  margin-bottom: 70px;
  letter-spacing: 7px;
  background: var(--base-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
}

.cards {
  position: relative;
  display: flex;
  gap: 8.6em;
}

.cardBgName h1 {
  /* The background-related code serves no purpose here,
     as it is all being changed in main.js. However, 
     when I delete it, things break. So it stays. */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--base-grad);
  background-clip: text;
  color: transparent;
  background-size: 600% 600%;
  animation: Gradient 15s ease infinite;
  opacity: 0;
  z-index: 0;
}

.card {
  position: relative;
  width: 300px;
  height: 420px;
  border-radius: 10px;
  perspective: 1400px;
  z-index: 1;
}

.cardBackground {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 1em;
  border: 1px solid var(--card-bg-border);
  border-radius: 10px;
  transform-origin: left top;
}

.istan {
  background-image: var(--istanbul-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
}

.edin {
  background-image: var(--edinburgh-grad);
  background-size: 600% 600%;
  animation: Gradient 15s ease infinite;
}

.cardBackground p {
  color: #fff;
  opacity: 1;
  font-size: 8px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.istanbulCardOne,
.edinburghCardOne,
.istanbulCardTwo,
.edinburghCardTwo,
.istanbulCardThree,
.edinburghCardThree {
  position: absolute;
  margin-bottom: 0.1em;
  width: 75%;
  height: 75%;
  background-size: cover;
  background-position: center;
  border: 1px solid var(--card-cta-border);
  border-radius: 10px;
  transition: 0.5s;
}

.istanbulCardOne {
  right: 1;
  bottom: 0;
  background-image: url(cardPics/istanbul/webps/DSC00223.webp);
}

.istanbulCardTwo {
  right: 0;
  bottom: 0;
  background-image: url(cardPics/istanbul/webps/DSC00160.webp);
}

.istanbulCardThree {
  right: 0;
  bottom: 0;
  background-image: url(cardPics/istanbul/webps/DSC00196.webp);
}

.edinburghCardOne {
  right: 1;
  bottom: 0;
  background-image: url(cardPics/edinbrugh/webps/DSC01656.webp);
}

.edinburghCardTwo {
  right: 0;
  bottom: 0;
  background-image: url(cardPics/edinbrugh/webps/DSC01792.webp);
}

.edinburghCardThree {
  right: 0;
  bottom: 0;
  background-image: url(cardPics/edinbrugh/webps/DSC02191.webp);
}

.card:hover .istanbulCardOne,
.card:hover .edinburghCardOne {
  transform: translateX(100px) rotateZ(7deg);
}

.card:hover .istanbulCardTwo,
.card:hover .edinburghCardTwo {
  transform: translateX(90px) translateY(-35px) rotateZ(20deg);
}

.card:hover .istanbulCardThree,
.card:hover .edinburghCardThree {
  transform: translateX(150px) translateY(-60px) rotateZ(28deg);
}

.istanbulCardOne p,
.istanbulCardTwo p,
.istanbulCardThree p,
.edinburghCardOne p,
.edinburghCardTwo p,
.edinburghCardThree p {
  position: absolute;
  top: 20%;
  right: 0;
  transform: rotate(90deg);
  color: #000;
  font-family: "Baskerville", sans-serif;
  font-size: 10px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.istanbulCardOne p {
  top: 15%;
  right: 0;
  transform: rotate(90deg);
}

.istanbulCardTwo p {
  top: 19%;
  right: -7%;
  transform: rotate(90deg);
}

.istanbulCardThree p {
  top: 19%;
  right: 0%;
  transform: rotate(90deg);
}

.edinburghCardOne p {
  top: 22%;
  right: -10%;
  transform: rotate(90deg);
}

.edinburghCardTwo p {
  top: 22%;
  right: -10%;
  transform: rotate(90deg);
  color: #fff;
}

.edinburghCardThree p {
  top: 22%;
  right: -10%;
  transform: rotate(90deg);
  color: #fff;
}

.cardCover {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 2em;
  /*background: radial-gradient(
    circle,
    rgba(29, 20, 61, 0.95) 0%,
    rgba(27, 13, 39, 0.95) 50%,
    rgba(8, 5, 16, 0.95) 100%
  );*/
  background: linear-gradient(
    circle,
    #e73c7e 0%,
    #d90ead 33%,
    #23a6d5 66%,
    #70e0ec 100%
  );
  backdrop-filter: blur(25px);
  border: 1px solid var(--card-fg-border);
  border-radius: 10px;
  color: #fff;
  transform-style: preserve-3d;
  transform-origin: left top;
  transition: 0.5s;
}

.cardCover p.title {
  text-align: center;
  margin-bottom: 0.2em;
  font-size: 35px;
  font-weight: 500;
  font-style: italic;
  font-family: "Baskerville", sans-serif;
  letter-spacing: 2px;
}

.cardCover p.date {
  text-align: center;
  margin-bottom: 1em;
  font-size: 24px;
  font-weight: 200;
  text-transform: capitalize;
  letter-spacing: 2px;
}

.cardCover p.summary {
  font-size: 20px;
  font-family: "Baskerville", sans-serif;
}

.card:hover .cardCover {
  transform: rotateY(-50deg);
}

/* Third Wave */

.thirdWave {
  background-image: url(./images/bottomWave.svg);
}

/* Verse Section (Currently Scrapped) */

.verseSection {
  height: 40vh;
  width: 100%;
  background-color: #d90ead;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.verseText {
  margin: 0px 100px;
  font-size: 25px;
  text-align: center;
  font-style: italic;
  color: #d90ead;
  font-family: Poppins, sans-serif;
  font-weight: 500;
}

.verseText h1 {
  margin-top: 120px;
}

.verseSpan {
  -webkit-text-stroke: 1px #d90ead; /* outline width and color */
  background-color: #fff; /* background color */
  color: #fff;
}

.verse {
  margin: 20px 20px;
  margin-bottom: -100px;
  font-size: 22px;
  text-align: center;
  font-style: italic;
  color: #d90ead;
  font-family: Poppins, sans-serif;
}

/* Footer Section */

.footer {
  height: 20vh;
  width: 100%;
  background-color: #d90ead;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.footerText {
  display: flex;
  flex-direction: row;
  text-align: center;
  justify-content: center;
  padding-bottom: 30px;
  gap: 3.5em;
  color: #fff;
  font-family: Poppins, sans-serif;
}

.footerText h1 {
  font-size: 30px;
}

.footerText h3 {
  font-size: 25px;
  -webkit-text-stroke: 1px #fff; /* outline width and color */
  background-color: #d90ead; /* background color */
  color: #d90ead;
}
